import { Injectable } from '@angular/core';
import { CloudUser } from 'src/lib/ncloud';

@Injectable({
  providedIn: 'root'
})
export class UserService {

  constructor() {}

  // 获取当前用户信息
  getCurrentUser(): CloudUser | null {
    let user = new CloudUser();
    if (!user.sessionToken) {
      console.error("用户未登录");
      return null;
    }
    return user;
  }

  // 获取当前用户的用户名
  getUsername(): string {
    const user = this.getCurrentUser();
    if (user && user.data) {
      return user.data['username'] || ''; // 使用方括号访问 username 字段
    }
    return '';
  }
}